import { z } from "zod"

import { DynamicContentEnum } from "@/types/enums/dynamicContent"
import { SidebarEnums } from "@/types/enums/sidebar"

export const dynamicContentSchema = z.object({
  typename: z
    .literal(SidebarEnums.blocks.DynamicContent)
    .optional()
    .default(SidebarEnums.blocks.DynamicContent),
  dynamic_content: z.object({
    component: z.enum(DynamicContentEnum.Sidebar.enums),
  }),
})
